## kf6-kconfig 6.22.0+p24.04+vstable+git20260116.0247

=== debian/changelog ===
kf6-kconfig (6.22.0+p24.04+vstable+git20260116.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:47:56 +0000
