## kf6-kconfig 6.23.0

=== autotests/kconfig_compiler/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
 kconfig_compiler_test(test_signal MAIN test_signal_main.cpp CLASS_NAME TestSignal SINGLETON MUTATORS MEMBER_VARIABLES private GENERATE_MOC)
 kconfig_compiler_test(test_notifiers MAIN test_notifiers_main.cpp CLASS_NAME TestNotifiers MUTATORS GLOBAL_ENUMS NOTIFIERS)
 kconfig_compiler_test(test_time MAIN test_time_main.cpp CLASS_NAME TestTime MUTATORS)
+kconfig_compiler_test(test_kconfigconstructor MAIN test_kconfigconstructormain.cpp CLASS_NAME TestKConfigConstructor PARENT_IN_CONSTRUCTOR MUTATORS KCONFIG_CONSTRUCTOR)
 
 ########### next target ###############
