=== debian/changelog ===
kf6-kconfig (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Update symbols from build for 6.23.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 22:28:17 +0100

kf6-kconfig (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Fix multi-arch: (Closes: #1103160)
    - Move kconf_update to Multi-Arch: same libkf6configcore6,
    - mark libkf6config-bin as Multi-Arch: foreign,
    - document why we did this in README.multiarch.
  * Switch test dependency from dbus-x11 to dbus-daemon. (Closes:
    #1117071)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:51 +0100
