=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-kconfig
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
+               dbus-daemon <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev,
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-declarative-private-dev,
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kconfig
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kconfig
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfig
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kconfig.git
 
 Package: libkf6config-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -77,14 +78,13 @@
 Package: libkf6config-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libkf6config-bin (= ${binary:Version}),
          libkf6config-dev-bin (= ${binary:Version}),
          libkf6configcore6 (= ${binary:Version}),
          libkf6configgui6 (= ${binary:Version}),
          libkf6configqml6 (= ${binary:Version}),
          qml6-module-org-kde-config (= ${binary:Version}),
-         qt6-tools-dev (>= 6.8.0~),
+         qt6-tools-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6config-doc (= ${source:Version}),
 Description: configuration settings framework for Qt
@@ -112,7 +112,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: configuration settings framework for Qt -- binary package
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -167,6 +168,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6config-bin (= ${binary:Version}),
+Breaks: libkf6config-bin (<< 6.20.0-1~),
+Replaces: libkf6config-bin (<< 6.20.0-1~),
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore, KConfigGui and KConfigQml.
